@font-face { font-family: 'DejaVuSansMono'; src: url('DejaVuSansMono.woff2') format('woff2'); }
@font-face { font-family: 'DejaVuSansMonoBold'; src: url('DejaVuSansMono-Bold.woff2') format('woff2'); }

body { background-color: #ffffff; display: flex; justify-content: center; margin: 0; font-family: 'DejaVuSansMono', monospace; }

.container { width: 100%; max-width: 40em; background-color: #ffffff; display: flex; flex-direction: column; }

header { background-color: #ffffff; color: #000000; padding: 0em; }
.topbar { font-family: 'DejaVuSansMonoBold', monospace; color: #000000; padding: 0.3em 0.5em; border-bottom: 2px solid #000000; }
.menu { display: flex; justify-content: flex-start; gap: 1.25em; margin-top: 1.25em;}
.menu .column { display: flex; flex-direction: column; align-items: flex-start; }
.menu a, .menu a:visited { display: inline-block; color: #1e70bf; text-decoration: none; padding: 0em 0.5em; }
.menu a[id="aktual"], .menu a[id="aktual"]:visited { display: inline-block; color: #000000; background-color: #d7ecff; text-decoration: none; padding: 0em 0.5em; }
.menu a:hover, .menu a[id="aktual"]:hover { color: #ffffff; background-color: #1e70bf; }

h1 { font-size: 1.5em; }
h2 { font-size: 1.2em; }
h3 { font-size: 1.0em; }

main { flex: 1; padding: 0em 0.5em; }
main h1, main h2, main h3 { margin-top: 1em; font-family: 'DejaVuSansMonoBold', monospace; }
a, a:visited { text-decoration: none; color: #1e70bf; }
a:hover { color: #ffffff; background-color: #1e70bf; }
a[target="_blank"] { text-decoration: underline; }
main p { margin-bottom: 0.5em; text-indent: 5%; }
main p.date { text-align: right; margin-top: 3em; }
main p.ret { text-align: right; }
main p.nav { text-align: center; }
main img { display: block; margin: 1.25em auto; max-width: 100%; height: auto; width: auto; }
main img.men {float: left; width: 7em; height: auto; margin: 0 0.6em 0.3em 0; }
main pre { background: #e5e5e5; padding: 1em; overflow-x: auto; }
main code { background: #e5e5e5; font-weight: normal; }
main blockquote { font-style: italic; border-left: 3px solid black; padding-left: 1em; }
main ul { padding-left: 2em; }
main ul ul { padding-left: 2.5em; }
main .gallery { display: grid; grid-template-columns: repeat(3, 32%); gap: 0.3em; justify-content: center; }
main .gallery img { width: 100%; object-fit: cover; border-radius: 0px; display: block; margin: 0;}
main .gallery a:hover img { filter: brightness(50%); }
a.img:hover { text-decoration: none; background-color: #ffffff; }
main p.gal { margin: 0; text-indent: 0; }

footer { background-color: #ffffff; padding: 0em 0.5em; border-top: 2px solid #000000; margin-top: 3em; }

p.c { text-align: center; text-indent: 0%; }
p.l { text-align: left; text-indent: 0%; }
p.p { text-align: right; text-indent: 0%; }
p.b { text-align: left; font-weight: bold; text-indent: 0%; font-family: 'DejaVuSansMonoBold', monospace; font-size: 1.0em; }
